Bug 2112975 (CVE-2022-2601) - CVE-2022-2601 grub2: Buffer overflow in grub_font_construct_glyph() can lead to out-of-bound write and possible secure boot bypass
Summary: CVE-2022-2601 grub2: Buffer overflow in grub_font_construct_glyph() can lead ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-2601
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2116931 2116932 2116933 2116934 2116935 2116936 2116937 2141374 2141376 2142996
Blocks: 2112969
TreeView+ depends on / blocked
 
Reported: 2022-08-01 15:21 UTC by Marco Benatto
Modified: 2024-04-23 16:26 UTC (History)
9 users (show)

Fixed In Version: grub 2.06
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found where a maliciously crafted pf2 font could lead to an out-of-bounds write in grub2. A successful attack can lead to memory corruption and secure boot circumvention.
Clone Of:
Environment:
Last Closed: 2023-02-16 00:28:32 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:8494 0 None None None 2022-11-16 10:48:14 UTC
Red Hat Product Errata RHSA-2022:8800 0 None None None 2022-12-06 08:54:25 UTC
Red Hat Product Errata RHSA-2022:8978 0 None None None 2022-12-13 16:06:52 UTC
Red Hat Product Errata RHSA-2023:0047 0 None None None 2023-01-09 14:44:46 UTC
Red Hat Product Errata RHSA-2023:0048 0 None None None 2023-01-09 14:44:11 UTC
Red Hat Product Errata RHSA-2023:0049 0 None None None 2023-01-09 14:43:03 UTC
Red Hat Product Errata RHSA-2023:0752 0 None None None 2023-02-14 09:07:08 UTC
Red Hat Product Errata RHSA-2024:2002 0 None None None 2024-04-23 16:26:07 UTC

Description Marco Benatto 2022-08-01 15:21:57 UTC
A buffer overflow was found in grub_font_construct_glyph(). A malicious crafted pf2 font can lead to an overflow when calculating the max_glyph_size value, allocating a smaller than needed buffer for the glyph, this further leads to a buffer overflow and a heap based out-of-bounds write. An attacker may use this vulnerability to circumvent the secure boot mechanism.

Comment 5 Marco Benatto 2022-11-15 18:09:04 UTC
Created grub2 tracking bugs for this issue:

Affects: fedora-all [bug 2142996]

Comment 6 errata-xmlrpc 2022-11-16 10:48:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Update Services for SAP Solutions

Via RHSA-2022:8494 https://access.redhat.com/errata/RHSA-2022:8494

Comment 7 errata-xmlrpc 2022-12-06 08:54:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Advanced Update Support
  Red Hat Enterprise Linux 8.2 Update Services for SAP Solutions
  Red Hat Enterprise Linux 8.2 Telecommunications Update Service

Via RHSA-2022:8800 https://access.redhat.com/errata/RHSA-2022:8800

Comment 8 errata-xmlrpc 2022-12-13 16:06:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9.0 Extended Update Support

Via RHSA-2022:8978 https://access.redhat.com/errata/RHSA-2022:8978

Comment 9 errata-xmlrpc 2023-01-09 14:43:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2023:0049 https://access.redhat.com/errata/RHSA-2023:0049

Comment 10 errata-xmlrpc 2023-01-09 14:44:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.6 Extended Update Support

Via RHSA-2023:0048 https://access.redhat.com/errata/RHSA-2023:0048

Comment 11 errata-xmlrpc 2023-01-09 14:44:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Extended Update Support

Via RHSA-2023:0047 https://access.redhat.com/errata/RHSA-2023:0047

Comment 12 errata-xmlrpc 2023-02-14 09:07:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2023:0752 https://access.redhat.com/errata/RHSA-2023:0752

Comment 13 Product Security DevOps Team 2023-02-16 00:28:30 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-2601

Comment 15 errata-xmlrpc 2024-04-23 16:26:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2024:2002 https://access.redhat.com/errata/RHSA-2024:2002


Note You need to log in before you can comment on or make changes to this bug.